package com.mall.order.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Getter
@Setter
@Accessors(chain = true)
@TableName("mq_message")
@Schema(name = "MqMessage对象", title = "", description = "的实体类对象")
public class MqMessage {


    @Schema(name = "messageId", title = "")

    @TableId(type = IdType.ASSIGN_ID)
    private String messageId;


    @Schema(name = "content", title = "")

    private String content;


    @Schema(name = "toExchane", title = "")

    private String toExchane;


    @Schema(name = "routingKey", title = "")

    private String routingKey;


    @Schema(name = "classType", title = "")

    private String classType;


    @Schema(name = "messageStatus", title = "0-新建 1-已发送 2-错误抵达 3-已抵达")

    private Integer messageStatus;


    @Schema(name = "createTime", title = "")

    private LocalDateTime createTime;


    @Schema(name = "updateTime", title = "")

    private LocalDateTime updateTime;

}