package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_category_brand_relation")
@Schema(name = "CategoryBrandRelation对象", title = "品牌分类关联", description = "品牌分类关联的实体类对象")
public class CategoryBrandRelation {

    @Schema(name = "id", title = "")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "brandId", title = "品牌id")
    private Long brandId;

    @Schema(name = "catelogId", title = "分类id")
    private Long catelogId;

    @Schema(name = "brandName", title = "")
    private String brandName;

    @Schema(name = "catelogName", title = "")
    private String catelogName;

}