package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "AttrGroupVO对象", title = "属性分组", description = "属性分组的VO对象")
public class AttrGroupVo {

    @Schema(name = "attrGroupId", title = "分组id")
    private Long attrGroupId;

    @Schema(name = "attrGroupName", title = "组名")
    private String attrGroupName;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "descript", title = "描述")
    private String descript;

    @Schema(name = "icon", title = "组图标")
    private String icon;

    @Schema(name = "catelogId", title = "所属分类id")
    private Long catelogId;

}

