package com.mall.order.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Getter
@Setter
@Accessors(chain = true)
@TableName("oms_order_return_reason")
@Schema(name = "OrderReturnReason对象", title = "退货原因", description = "退货原因的实体类对象")
public class OrderReturnReason {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "name", title = "退货原因名")
    private String name;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "status", title = "启用状态")
    private Boolean status;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

}