package com.mall.product.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CategoryBrandRelationDTO对象", title = "品牌分类关联", description = "品牌分类关联的DTO对象")
public class CategoryBrandRelationDto {

    @Schema(name = "id", title = "")
    private Long id;

    @Schema(name = "brandId", title = "品牌id")
    private Long brandId;

    @Schema(name = "catelogId", title = "分类id")
    private Long catelogId;

    @Schema(name = "brandName", title = "")
    private String brandName;

    @Schema(name = "catelogName", title = "")
    private String catelogName;

}