package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_attr_attrgroup_relation")
@Schema(name = "AttrAttrgroupRelation对象", title = "属性&属性分组关联", description = "属性&属性分组关联的实体类对象")
public class AttrAttrgroupRelation {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "attrId", title = "属性id")
    private Long attrId;

    @Schema(name = "attrGroupId", title = "属性分组id")
    private Long attrGroupId;

    @Schema(name = "attrSort", title = "属性组内排序")
    private Integer attrSort;

}