package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_sku_images")
@Schema(name = "SkuImages对象", title = "sku图片", description = "sku图片的实体类对象")
public class SkuImages {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "imgUrl", title = "图片地址")
    private String imgUrl;

    @Schema(name = "imgSort", title = "排序")
    private Integer imgSort;

    @Schema(name = "defaultImg", title = "默认图[0 - 不是默认图，1 - 是默认图]")
    private Integer defaultImg;

}