package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_sku_sale_attr_value")
@Schema(name = "SkuSaleAttrValue对象", title = "sku销售属性&值", description = "sku销售属性&值的实体类对象")
public class SkuSaleAttrValue {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "attrId", title = "attr_id")
    private Long attrId;

    @Schema(name = "attrName", title = "销售属性名")
    private String attrName;

    @Schema(name = "attrValue", title = "销售属性值")
    private String attrValue;

    @Schema(name = "attrSort", title = "顺序")
    private Integer attrSort;

}