package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "AttrAttrgroupRelationVO对象", title = "属性&属性分组关联", description = "属性&属性分组关联的VO对象")
public class AttrAttrgroupRelationVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "attrId", title = "属性id")
    private Long attrId;
 
    @Schema(name = "attrGroupId", title = "属性分组id")
    private Long attrGroupId;

    @Schema(name = "attrSort", title = "属性组内排序")
    private Integer attrSort;

}

