package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "CommentReplayVO对象", title = "商品评价回复关系", description = "商品评价回复关系的VO对象")
public class CommentReplayVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "commentId", title = "评论id")
    private Long commentId;

    @Schema(name = "replyId", title = "回复id")
    private Long replyId;

}

